### Name: lagVar
### Title: Create a vector of lagged or subsequent value
### Aliases: lagVar
### Keywords: database

### ** Examples

## Identification of the tree that became smaller during followup
data(Sitka, package="MASS")
use(Sitka)
lag1.size <- lagVar(var=size, id=tree, time=Time, lag=1)
data.frame(tree=tree, time=Time, size=size, lag1.size=lag1.size) [1:20,]
# Answer
data.frame(Time, tree, size, lag1.size) [which(lag1.size > size),]

# Alternatively
next.size <- lagVar(size, tree, Time, lag=-1)
data.frame(tree=tree, time=Time, size=size, next.size=next.size) [1:20,]
data.frame(Time, tree, size, next.size) [which(size > next.size),]




